> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nlpearl.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Call Requests

> Fetches a list of API call requests associated with a specific outbound identifier. The search criteria, such as filters or pagination options, should be provided in the request body.



## OpenAPI

````yaml post /v1/Outbound/{outboundId}/CallRequest
openapi: 3.0.1
info:
  title: NLPearl Client API
  description: A sample API that demonstrates features in the OpenAPI specification
  version: v1
servers:
  - url: https://api.nlpearl.ai
    description: Production Environement
security:
  - bearer_auth: []
paths:
  /v1/Outbound/{outboundId}/CallRequest:
    post:
      tags:
        - Outbound
      summary: Search Call Requests
      description: >-
        Fetches a list of API call requests associated with a specific outbound
        identifier. The search criteria, such as filters or pagination options,
        should be provided in the request body.
      parameters:
        - name: outboundId
          in: path
          description: >-
            The unique identifier of the outbound campaign for which the API
            call requests are being retrieved.
          required: true
          schema:
            type: string
      requestBody:
        description: >-
          The search criteria, including filters or pagination options, provided
          in the request body.
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/TableDateSearch'
              description: >-
                Extends TableSearch to include date filtering for more specific
                searches.
          text/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/TableDateSearch'
              description: >-
                Extends TableSearch to include date filtering for more specific
                searches.
          application/*+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/TableDateSearch'
              description: >-
                Extends TableSearch to include date filtering for more specific
                searches.
      responses:
        '200':
          description: >-
            A list of API call requests related to the specified outbound ID was
            successfully retrieved.
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiRequestViewTableSearchResult'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiRequestViewTableSearchResult'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiRequestViewTableSearchResult'
        '400':
          description: >-
            The request was invalid. Possible causes include a missing or
            malformed outbound ID, or errors in the search parameters.
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
components:
  schemas:
    TableDateSearch:
      required:
        - fromDate
        - toDate
      type: object
      properties:
        skip:
          type: integer
          description: Number of entries to skip for pagination.
          format: int32
        limit:
          type: integer
          description: Limit on the number of entries to return.
          format: int32
        sortProp:
          type: string
          description: Property name to sort by.
          nullable: true
        isAscending:
          type: boolean
          description: Whether the sort order is ascending.
        fromDate:
          type: string
          description: The start date for filtering the search results.
          format: date-time
        toDate:
          type: string
          description: The end date for filtering the search results.
          format: date-time
      additionalProperties: false
      description: >-
        Extends TableSearch to include date filtering for more specific
        searches.
    ApiRequestViewTableSearchResult:
      type: object
      properties:
        count:
          type: integer
          description: The total number of items matching the search criteria.
          format: int64
        results:
          type: array
          items:
            $ref: '#/components/schemas/ApiRequestView'
          description: >-
            The list of results for the current page, based on the search
            criteria.
          nullable: true
      additionalProperties: false
    ValidationProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          nullable: true
      additionalProperties: {}
    ApiRequestView:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the API request.
          nullable: true
        status:
          allOf:
            - $ref: '#/components/schemas/eApiRequestStatus'
          description: |+
            `1 - InCallQueue`

            `2 - OnCall`

            `10 - Completed`

            `20 - BlackListed`

            `100 - Error`

        outboundId:
          type: string
          description: >-
            The unique identifier of the outbound campaign associated with this
            API request.
          nullable: true
        created:
          type: string
          description: The date and time when the API request was created.
          format: date-time
        errors:
          type: array
          items:
            type: string
          description: A list of errors that occurred during the API request, if any.
          nullable: true
        callId:
          type: string
          description: >-
            The unique identifier of the call associated with this API request,
            if available.
          nullable: true
      additionalProperties: false
    eApiRequestStatus:
      type: integer
      description: |+
        `1 - InCallQueue`

        `2 - OnCall`

        `10 - Completed`

        `20 - BlackListed`

        `100 - Error`

      format: int32
  securitySchemes:
    bearer_auth:
      type: http
      description: >-
        Specify the authorization token.


        For more information, check out the [Authorization
        Guide](/api-reference/authorization).
      scheme: bearer

````